use std::fmt;
use uuid::Uuid;

struct ID {
    data: Uuid,
}

impl ID {
    fn new(id: Uuid) -> Self {
        Self {
            data: id,
        }
    }
}

impl fmt::Display for ID {
    fn fmt(&self, f: &mut fmt::Formatter<'_>) -> fmt::Result {
        write!(f, "{}", self.data)
    }
}

#[cfg(test)]
mod id {
    use super::*;

    #[test]
    fn id_new() {
        let data = Uuid::new_v4();
        let id = ID::new(data.clone());
        assert_eq!(id.to_string(), data.to_string());
    }
}
